Bug 1187588 - PM_CONTEXT_LOCAL crashes process when /etc/pcp.conf is unreadable
Summary: PM_CONTEXT_LOCAL crashes process when /etc/pcp.conf is unreadable
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1185740
TreeView+ depends on / blocked
 
Reported: 2015-01-30 13:26 UTC by Marius Vollmer
Modified: 2015-08-22 16:34 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-13 16:56:53 UTC


Attachments (Terms of Use)

Description Marius Vollmer 2015-01-30 13:26:25 UTC
Creating a PM_CONTEXT_LOCAL context will try to read /etc/pcp.conf (as could be expected), but will call exit(1) if that fails.  This isn't nice behavior for a library.

Comment 1 Fedora Update System 2015-06-16 02:12:25 UTC
pcp-3.10.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/pcp-3.10.5-1.fc22

Comment 2 Fedora Update System 2015-06-16 02:13:39 UTC
pcp-3.10.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pcp-3.10.5-1.fc21

Comment 3 Fedora Update System 2015-06-16 02:14:31 UTC
pcp-3.10.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-3.10.5-1.fc20

Comment 4 Fedora Update System 2015-06-16 02:16:35 UTC
pcp-3.10.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.10.5-1.el5

Comment 5 Fedora Update System 2015-06-18 18:34:36 UTC
Package pcp-3.10.5-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pcp-3.10.5-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6718/pcp-3.10.5-1.el5
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-08-04 05:37:39 UTC
pcp-3.10.6-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/pcp-3.10.6-1.fc22

Comment 7 Fedora Update System 2015-08-04 05:38:26 UTC
pcp-3.10.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pcp-3.10.6-1.fc21

Comment 8 Fedora Update System 2015-08-04 05:39:14 UTC
pcp-3.10.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.10.6-1.el5

Comment 9 Fedora Update System 2015-08-13 16:56:53 UTC
pcp-3.10.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-08-13 16:58:36 UTC
pcp-3.10.6-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-08-22 16:33:47 UTC
pcp-3.10.6-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.